
.namespace s04_hotspot

function OnActivate()
	
	OPLog.Log("onactivate "..self.Name)
		if self.Name == "back_s04" then
		NavigationManager.SwitchTo(nil,"s01_SearchSite")	
	end
	
	if self.Name == "piano" then
		NavigationManager.SwitchTo(nil,"s04_c01")
		-- interfaceclsp.Enabled = true
	end	
	if self.Name == "piece_secrete" then
		NavigationManager.SwitchTo(nil,"s05_SearchSite")
		
	end		
	if self.Name == "skip_closeup_hotspot" then
		NavigationManager.SwitchTo(nil,"s04_SearchSite")
		SampleLevel.Set("s04_bibli_open","todo")
	end		
end

function OnEnable()
	AreaHotspot.OnEnable()
	OPLog.Log("mon onenable "..self.Name)
end

function GetSpecificCursor()
	if self.Name == "piece_secrete" then
		return 4,"s05"
	elseif	self.Name == "back_s04" then
		return 11,"s01"
	elseif self.Name == "piano" then
		return 5
	else
		return CURSOR_AREA_HOTSPOT
	end
end
function PrivateCanClickOn()
	--if SampleLevel.IsEqual("CloseupMecaState","finished")  then
	--	return false
	--end
	
	return true
end